package com.brilliance.isc.vo.finance;

import com.brilliance.mda.runtime.mda.CodetableItem;
import com.brilliance.isc.bo.*;
import com.brilliance.isc.bo.model.Blcgrp;
import com.brilliance.isc.bo.model.Blcp;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BlcStoreVo extends BaseTransactionVo {

    private Blcgrp recgrp;
    private Blcp recpan;

    private List<Ine> oldinelst;

    private List<Cus> oldcuslst;

    private Fin oldfin;

    private Fsa oldfsa;

    private List<Bch> bchlist = null;

    private Set<String> disableSet;

    @Override
    public void reset() {
        super.reset();
        if (recgrp == null) {
            recgrp = new Blcgrp();
        }
        recgrp.reset();
        if (recpan == null) {
            recpan = new Blcp();
        }
        recpan.reset();
        if (oldinelst == null) {
            oldinelst = new ArrayList<>();
        }
        if (oldcuslst == null) {
            oldcuslst = new ArrayList<>();
        }
        if (oldfsa == null) {
            oldfsa = new Fsa();
        }
        if (oldfin == null) {
            oldfin = new Fin();
        }
        if (bchlist == null) {
            bchlist = new ArrayList<>();
        }
        if (disableSet == null) {
            disableSet = new HashSet<>();
        }

    }
}
